From 4275b79c2844a291344cfeae006328b62610a3ce Mon Sep 17 00:00:00 2001
From: bra1nwave <brainwave@openmailbox.org>
Date: Wed, 10 Jul 2019 15:56:14 +0200
Subject: [PATCH] imv: update to 3.1.2.

---
 srcpkgs/imv/template | 15 +++++----------
 1 file changed, 5 insertions(+), 10 deletions(-)

diff --git a/srcpkgs/imv/template b/srcpkgs/imv/template
index d376155bc8a..540b1b6b017 100644
--- a/srcpkgs/imv/template
+++ b/srcpkgs/imv/template
@@ -1,11 +1,11 @@
 # Template file for 'imv'
 pkgname=imv
-version=3.0.0
+version=3.1.2
 revision=1
 build_style=gnu-makefile
-make_build_args="V=1"
 hostmakedepends="asciidoc pkg-config"
-makedepends="SDL2_ttf-devel cmocka-devel fontconfig-devel freeimage-devel"
+makedepends="SDL2_ttf-devel cmocka-devel fontconfig-devel freeimage-devel
+ librsvg-devel"
 depends="desktop-file-utils"
 conf_files="/etc/imv_config"
 short_desc="Image viewer for X11/Wayland"
@@ -13,14 +13,9 @@ maintainer="Arvin Ignaci <arvin.ignaci@gmail.com>"
 license="GPL-2.0-or-later, MIT"
 homepage="https://github.com/eXeC64/imv"
 distfiles="https://github.com/eXeC64/imv/archive/v${version}.tar.gz"
-checksum=51c3fc49b4db8b13f55816a502b68f4f660a8dfccd109cdea5af23cc9f613fad
+checksum=4d98696ea5c16b4cb6f7b3c3e7da8ee9e1814e9fc78e66ee1a2015f5dfd0d450
 conflicts="renameutils>=0"
 
-pre_build() {
-	export CFLAGS+=" $(${XBPS_CROSS_BASE}/usr/bin/sdl2-config --cflags) -DIMV_VERSION='\"${version}\"'"
-	export LDFLAGS+=" $(${XBPS_CROSS_BASE}/usr/bin/sdl2-config --libs) -lfreeimage -lSDL2_ttf -lfontconfig -lpthread"
-}
-
 post_install() {
-	vlicense LICENSE.MIT
+	vlicense LICENSE
 }
